Skip to Content
Bulk & Campaign Messaging

List upcoming scheduled messages

View Markdown (.md)
GET
/api/v1/public/sms/scheduled

Retrieves pending messages scheduled to be dispatched at a future timestamp.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Response Body

List of pending scheduled messages

application/json
  1. response
status?string
data?array<>
Example Request
curl -X GET 'https://api.smspro.com/api/v1/public/sms/scheduled'
Example Response
{  "status": "string",  "data": [    {      "id": "string",      "to": "string",      "message": "string",      "senderId": "string",      "scheduledAt": "2019-08-24T14:15:22Z",      "status": "string"    }  ]}